const chalk = require("chalk");
const fs = require("fs");
const { configFileName, translateConfig } = require("./const");

module.exports = function () {
	// 写入文件
	fs.writeFile(
		configFileName,
		`module.exports = ${JSON.stringify(translateConfig, null, "\t")};`,
		"utf8",
		function (error) {
			if (error) {
				console.log(error.red);
				return false;
			}
			console.log(chalk.green(" 👌 初始化文件成功\n"));
		}
	);
};
